<?php

function wraplines($oldstr, $wrap)
{
	# we expect the following things to be newlines:
	$oldstr=str_replace("<br>","\n",$oldstr);
	$oldstr=str_replace("<BR>","\n",$oldstr);
	$newstr = ""; $newline = "";
	# Add a temporarary linebreak at the end of the $oldstr.
	# We will use this to find the ending of the string.
	$oldstr .= "\n";
	do
	{
		# Use $i to point at the position of the next linebreak in $oldstr!
		# If a linebreak is encountered earlier than the wrap limit, put $i there.
		if (strpos($oldstr, "\n") <= $wrap)
		{
			$i = strpos($oldstr, "\n");
		}
		# Otherwise, begin at the wrap limit, and then move backwards
		# until it finds a blank space where we can break the line.
		else
		{
			$i = $wrap;
			while (!ereg("[\n\t ]", substr($oldstr, $i, 1)) && $i > 0)
			{
				$i--;
			}
		}
		# $i should now point at the position of the next linebreak in $oldstr!
		# Extract the new line from $oldstr, including the
		# linebreak/space at the end.
		$newline = substr($oldstr, 0, $i+1);
		# Turn the last char in the string (which is probably a blank
		# space) into a linebreak.
		if ($i!=0) $newline[$i] = "\n";
		# Decide whether it's time to stop:
		# Unless $oldstr is already empty, remove an amount of
		# characters equal to the length of $newstr. In other words,
		# remove the same chars that we extracted into $newline.
		if ($oldstr[0] != "")
		{
			$oldstr = substr($oldstr, $i+1);
		}
		# Add $newline to $newstr.
		$newstr .= $newline;
		# If $oldstr has become empty now, quit. Otherwise, loop again.
	} while (strlen($oldstr) > 0);
	# Remove the temporary linebreak we added at the end of $oldstr.
	$newstr = substr($newstr, 0, -1);
return $newstr;
}

function IsMailValid($adresse)
{
 // Syntax prfen
 if (eregi("^[0-9a-z_]([-_.]?[0-9a-z])*@[0-9a-z][-.0-9a-z]*\\.[a-z]{2,3}[.]?$", $adresse,  $check)) 
 { 
  $host = substr(strstr($check[0], '@'), 1)."."; 
  if (getmxrr($host, $validate_email_temp)) 
  {
   return 0;
  }
  else
  {
   if(checkdnsrr($host,"ANY")) 
   {
    return 0;   
   }
   else
   {
    return 2; // no mx, no dns
   } 
  }
 }
 else
 {
  return 1; // wrong syntax
 }
}

class FormWriter {
	var $Items; // Die einzelnen Formular Elemente
	var $Hidden; // Versteckte FormularFelder
	var $frame; // Rahmenfarbe des Formulars
	var $abschicken; // Text des Submit-Buttons
	var $target;

 function FormWriter($targ,$fx="",$abschick="submit")
 {
  $this->frame=$fx;
  $this->abschicken=$abschick;
  $this->target=$targ;
 }

 function AddHidden($hid)
 {
  $this->Hidden[]=$hid;
 }
 
 function AddLine($vname,$vdesc="",$vbox="",$vbg="",$vbox2="",$vbg2="")
 {
  $x[vname]=$vname;
  $x[vdesc]=$vdesc;
  $x[vbox]=$vbox;
  $x[vbg]=$vbg;
  $x[vbox2]=$vbox2;
  $x[vbg2]=$vbg2;
  
  $this->Items[]=$x;
 }
 function AddCustom($t)
 {
  $x[custom]=$t;
  $this->Items[]=$x;
 }
 
 function DrawForm()
 {
  $txt ="<form action=\"$this->target\" method=\"post\">\n";
  if ($this->frame=="")
  { $txt .="<table border=0>\n"; }
  else
  { $txt .="<table style=\"border: 1px solid $this->frame\">\n";}
 
  foreach ($this->Items as $cur)
  {
   $txt .=" <tr>\n";
   if ($cur[vbox]!="") {$vbx=" style=\"border: 1px solid $cur[vbox]\"";} 
    else {$vbx="";}
   if ($cur[vbg]!="") {$vbg=" bgcolor=$cur[vbg]";} 
    else {$vbg="";}
   if ($cur[vbox2]!="") {$vbx2=" style=\"border: 1px solid $cur[vbox2]\"";} 
    else {$vbx2="";}
   if ($cur[vbg2]!="") {$vbg2=" bgcolor=$cur[vbg2]";} 
    else {$vbg2="";}
  if (isset($cur[custom]) or $cur[custom]!="")
  {
   $txt .=$cur[custom];
  }
  else
  {
   $txt .="  <td valign=top".$vbx.$vbg.">".$cur[vdesc]."</td>\n";
   $txt .="  <td valign=top".$vbx2.$vbg2.">".$cur[vname]."</td>\n";
   $txt .=" </tr>\n";
  }
  }  
  $txt .=" <tr>\n  <td><input type=submit name=\"submit\"";
  $txt .=" value=\"$this->abschicken\"</td>\n </tr>\n";
  $txt .="</table>\n";
  
  if (is_array($this->Hidden))
  {
   foreach ($this->Hidden as $cur)
   {
    $txt .=$cur."\n";
   }
  }
  $txt .="</form>\n";
  
  return $txt;
 }
}

?>
